#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	IO
%define		pnam	stringy
Summary:	IO-stringy - I/O on in-core objects like strings and arrays
Summary(pl.UTF-8):	IO-stringy - operacje I/O na obiektach takich jak łańcuchy i tablice
Name:		perl-IO-stringy
Version:	2.111
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/IO/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	e91acf0a800b190d13585a47de775bdd
URL:		http://search.cpan.org/dist/IO-stringy/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This toolkit primarily provides modules for performing both
traditional and object-oriented I/O on things other than normal
filehandles; in particular, IO::Scalar, IO::ScalarArray, and
IO::Lines.

%description -l pl.UTF-8
Ten zestaw narzędzi dostarcza głównie modułów do wykonywania zarówno
tradycyjnych jak i obiektowo zorientowanych operacji wejścia/wyjścia
na rzeczach innych niż normalne uchwyty plików, w szczególności:
IO::Scalar, IO::ScalarArray i IO::Lines.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING README
%{perl_vendorlib}/IO/AtomicFile.pm
%{perl_vendorlib}/IO/InnerFile.pm
%{perl_vendorlib}/IO/Lines.pm
%{perl_vendorlib}/IO/Scalar.pm
%{perl_vendorlib}/IO/ScalarArray.pm
%{perl_vendorlib}/IO/Stringy.pm
%{perl_vendorlib}/IO/Wrap.pm
%{perl_vendorlib}/IO/WrapTie.pm
%{_mandir}/man3/IO::AtomicFile.3pm*
%{_mandir}/man3/IO::InnerFile.3pm*
%{_mandir}/man3/IO::Lines.3pm*
%{_mandir}/man3/IO::Scalar.3pm*
%{_mandir}/man3/IO::ScalarArray.3pm*
%{_mandir}/man3/IO::Stringy.3pm*
%{_mandir}/man3/IO::Wrap.3pm*
%{_mandir}/man3/IO::WrapTie.3pm*
%changelog
* Thu Nov 14 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-IO-stringy.git;a=log;h=master

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 936e85c
- up to 2.111

* Mon Dec 05 2011 Jakub Bogusz <qboosh@pld-linux.org> 18b456d
- generic URL
- verbose file list within common (IO) perl dir
- added COPYING to doc (general copyright notes)

* Mon Jul 28 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 53c8f29
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> d89a5e2
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 156d736
- converted to UTF-8

* Mon May 30 2005 Jakub Bogusz <qboosh@pld-linux.org> 395b154
- updated to 2.110 (bugfixes)

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 4767223
- formatting

* Thu May 06 2004 ankry <ankry@pld-linux.org> 145472d
- fixed perl-devel BR

* Thu Apr 22 2004 ankry <ankry@pld-linux.org> 2fbfebf
- license fixes & unification

* Wed Jan 07 2004 Jakub Bogusz <qboosh@pld-linux.org> 85d1cc0
- updated to 2.109, new-style bcond

* Thu Dec 11 2003 undefine <undefine@pld-linux.org> 42322c2
- release 7 to rebuild with ac

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> ff58a28
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> b4f1002
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 2503137
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 26d40d4
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> da05fc2
- BR: perl-devel; do not BR: perl

* Sat Mar 01 2003 radek <radek@pld-linux.org> 9cf0a9c
- should be ready for perl-5.8.0; release++

* Mon Feb 24 2003 radek <radek@pld-linux.org> b4c47f2
- use the __perl macro

* Tue Feb 18 2003 ankry <ankry@pld-linux.org> ec1ec65
- massive attack: change CPAN URLs

* Thu Aug 15 2002 Jakub Bogusz <qboosh@pld-linux.org> 9c00780
- pl description, added conditional tests, release 5

